# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v5.043.
use strict;
use warnings;



use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "A utility for managing systems with minimal installs",
  "AUTHOR" => "Lucas Theisen <lucastheisen\@pastdev.com>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Footprintless",
  "EXE_FILES" => [
    "bin/fpl"
  ],
  "LICENSE" => "perl",
  "NAME" => "Footprintless",
  "PREREQ_PM" => {
    "App::Cmd" => "0.330",
    "Config::Entities" => "1.06",
    "IPC::Run" => "0.94",
    "IPC::Run3" => "0.048",
    "JSON" => "2.90",
    "LWP::UserAgent" => "6.15",
    "Log::Any" => "1.032",
    "Maven::Agent" => "1.09",
    "Template::Resolver" => "1.09"
  },
  "TEST_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0,
    "File::Spec" => 0,
    "Test::More" => "0.90"
  },
  "VERSION" => "1.03",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "App::Cmd" => "0.330",
  "Config::Entities" => "1.06",
  "ExtUtils::MakeMaker" => 0,
  "File::Spec" => 0,
  "IPC::Run" => "0.94",
  "IPC::Run3" => "0.048",
  "JSON" => "2.90",
  "LWP::UserAgent" => "6.15",
  "Log::Any" => "1.032",
  "Maven::Agent" => "1.09",
  "Template::Resolver" => "1.09",
  "Test::More" => "0.90"
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);
